Subject: linux-next: manual merge of the drm-misc tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 30 Mar 2016 10:49:25 +1100

Hi all,

Today's linux-next merge of the drm-misc tree got a conflict in:

  include/drm/drm_crtc.h

between commit:

  5fff80bbdb6b ("drm/atomic: Allow for holes in connector state, v2.")

from Linus' tree and commit:

  6c87e5c3ec6d ("drm: Rename drm_connector_unplug_all() to drm_connector_unregister_all()")

from the drm-misc tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc include/drm/drm_crtc.h
index e0170bf80bb0,12f2bd4cf38a..000000000000
--- a/include/drm/drm_crtc.h
+++ b/include/drm/drm_crtc.h
@@@ -2254,13 -2252,9 +2254,13 @@@ int drm_connector_register(struct drm_c
  void drm_connector_unregister(struct drm_connector *connector);
  
  extern void drm_connector_cleanup(struct drm_connector *connector);
 -extern unsigned int drm_connector_index(struct drm_connector *connector);
 +static inline unsigned drm_connector_index(struct drm_connector *connector)
 +{
 +	return connector->connector_id;
 +}
 +
- /* helper to unplug all connectors from sysfs for device */
- extern void drm_connector_unplug_all(struct drm_device *dev);
+ /* helper to unregister all connectors from sysfs for device */
+ extern void drm_connector_unregister_all(struct drm_device *dev);
  
  extern int drm_bridge_add(struct drm_bridge *bridge);
  extern void drm_bridge_remove(struct drm_bridge *bridge);